Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 9169)
@@ -29,17 +29,16 @@
    PUBLIC   p4z_rem_alloc
 
-   !! * Shared module variables
-   REAL(wp), PUBLIC ::  xremikc    !: remineralisation rate of DOC 
-   REAL(wp), PUBLIC ::  xremikn    !: remineralisation rate of DON 
-   REAL(wp), PUBLIC ::  xremikp    !: remineralisation rate of DOP 
-   REAL(wp), PUBLIC ::  xremik     !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  nitrif     !: NH4 nitrification rate 
-   REAL(wp), PUBLIC ::  xsirem     !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsiremlab  !: fast remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsilab     !: fraction of labile biogenic silica 
-   REAL(wp), PUBLIC ::  feratb     !: Fe/C quota in bacteria
-   REAL(wp), PUBLIC ::  xkferb     !: Half-saturation constant for bacteria Fe/C
-
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   denitr     !: denitrification array
+   REAL(wp), PUBLIC ::   xremikc    !: remineralisation rate of DOC 
+   REAL(wp), PUBLIC ::   xremikn    !: remineralisation rate of DON 
+   REAL(wp), PUBLIC ::   xremikp    !: remineralisation rate of DOP 
+   REAL(wp), PUBLIC ::   xremik     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::   nitrif     !: NH4 nitrification rate 
+   REAL(wp), PUBLIC ::   xsirem     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::   xsiremlab  !: fast remineralisation rate of POC 
+   REAL(wp), PUBLIC ::   xsilab     !: fraction of labile biogenic silica 
+   REAL(wp), PUBLIC ::   feratb     !: Fe/C quota in bacteria
+   REAL(wp), PUBLIC ::   xkferb     !: Half-saturation constant for bacteria Fe/C
+
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   denitr   !: denitrification array
 
    !!----------------------------------------------------------------------
@@ -303,34 +302,37 @@
       INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
-
+      !
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_rem_init : Initialization of remineralization parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampisrem in reference namelist : Pisces remineralization
       READ  ( numnatp_ref, nampisrem, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisrem in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampisrem in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisrem in configuration namelist : Pisces remineralization
       READ  ( numnatp_cfg, nampisrem, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisrem in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampisrem )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampisrem in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampisrem )
 
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for remineralization, nampisrem'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist parameters for remineralization, nampisrem'
          IF( ln_p4z ) THEN
-            WRITE(numout,*) '    remineralization rate of DOC              xremik    =', xremik
+            WRITE(numout,*) '      remineralization rate of DOC              xremik    =', xremik
          ELSE
-            WRITE(numout,*) '    remineralization rate of DOC              xremikc   =', xremikc
-            WRITE(numout,*) '    remineralization rate of DON              xremikn   =', xremikn
-            WRITE(numout,*) '    remineralization rate of DOP              xremikp   =', xremikp
+            WRITE(numout,*) '      remineralization rate of DOC              xremikc   =', xremikc
+            WRITE(numout,*) '      remineralization rate of DON              xremikn   =', xremikn
+            WRITE(numout,*) '      remineralization rate of DOP              xremikp   =', xremikp
          ENDIF
-         WRITE(numout,*) '    remineralization rate of Si               xsirem    =', xsirem
-         WRITE(numout,*) '    fast remineralization rate of Si          xsiremlab =', xsiremlab
-         WRITE(numout,*) '    fraction of labile biogenic silica        xsilab    =', xsilab
-         WRITE(numout,*) '    NH4 nitrification rate                    nitrif    =', nitrif
-         WRITE(numout,*) '    Bacterial Fe/C ratio                      feratb    =', feratb
-         WRITE(numout,*) '    Half-saturation constant for bact. Fe/C   xkferb    =', xkferb
+         WRITE(numout,*) '      remineralization rate of Si               xsirem    =', xsirem
+         WRITE(numout,*) '      fast remineralization rate of Si          xsiremlab =', xsiremlab
+         WRITE(numout,*) '      fraction of labile biogenic silica        xsilab    =', xsilab
+         WRITE(numout,*) '      NH4 nitrification rate                    nitrif    =', nitrif
+         WRITE(numout,*) '      Bacterial Fe/C ratio                      feratb    =', feratb
+         WRITE(numout,*) '      Half-saturation constant for bact. Fe/C   xkferb    =', xkferb
       ENDIF
       !
-      denitr  (:,:,:) = 0._wp
+      denitr(:,:,:) = 0._wp
       !
    END SUBROUTINE p4z_rem_init
